Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(7)

Issue 5966075: code review 5966075: cmd/gc: inline slice[arr,str] in the frontend (mostly). (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by lvd
Modified:
1 year, 6 months ago
Reviewers:
CC:
rsc, ality, rog, minux, dfc, golang-dev
Visibility:
Public.

Description

cmd/gc: inline slice[arr,str] in the frontend (mostly).

Patch Set 1 #

Patch Set 2 : diff -r dd8f13acda2e https://go.googlecode.com/hg/ #

Patch Set 3 : diff -r dd8f13acda2e https://go.googlecode.com/hg/ #

Patch Set 4 : diff -r 0051c7442fed https://go.googlecode.com/hg/ #

Patch Set 5 : diff -r 0051c7442fed https://go.googlecode.com/hg/ #

Patch Set 6 : diff -r 0051c7442fed https://go.googlecode.com/hg/ #

Patch Set 7 : diff -r 99292bad0d6d https://go.googlecode.com/hg/ #

Patch Set 8 : diff -r 99292bad0d6d https://go.googlecode.com/hg/ #

Patch Set 9 : diff -r 99292bad0d6d https://go.googlecode.com/hg/ #

Patch Set 10 : diff -r 99292bad0d6d https://go.googlecode.com/hg/ #

Total comments: 1

Patch Set 11 : diff -r 316890203045 https://go.googlecode.com/hg/ #

Patch Set 12 : diff -r 316890203045 https://go.googlecode.com/hg/ #

Patch Set 13 : diff -r 316890203045 https://go.googlecode.com/hg/ #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+350 lines, -1440 lines) Patch
M src/cmd/5g/cgen.c View 1 2 3 4 5 6 7 2 chunks +21 lines, -0 lines 0 comments Download
M src/cmd/5g/gg.h View 1 2 3 4 5 6 7 1 chunk +0 lines, -1 line 0 comments Download
M src/cmd/5g/ggen.c View 1 2 3 4 5 6 7 1 chunk +0 lines, -392 lines 0 comments Download
M src/cmd/5g/gsubr.c View 1 2 3 4 5 6 7 8 9 10 1 chunk +21 lines, -0 lines 1 comment Download
M src/cmd/6g/cgen.c View 1 2 3 2 chunks +19 lines, -2 lines 0 comments Download
M src/cmd/6g/gg.h View 1 1 chunk +0 lines, -1 line 0 comments Download
M src/cmd/6g/ggen.c View 1 2 3 4 5 6 1 chunk +0 lines, -363 lines 0 comments Download
M src/cmd/6g/gsubr.c View 1 2 3 4 5 6 7 1 chunk +19 lines, -0 lines 0 comments Download
M src/cmd/8g/cgen.c View 1 2 3 4 5 6 2 chunks +19 lines, -2 lines 0 comments Download
M src/cmd/8g/gg.h View 1 2 3 4 5 6 1 chunk +0 lines, -1 line 0 comments Download
M src/cmd/8g/ggen.c View 1 2 3 4 5 6 1 chunk +0 lines, -398 lines 0 comments Download
M src/cmd/8g/gsubr.c View 1 2 3 4 5 6 1 chunk +19 lines, -0 lines 0 comments Download
M src/cmd/gc/builtin.c View 1 1 chunk +0 lines, -3 lines 0 comments Download
src/cmd/gc/gen.c View 1 2 3 4 5 6 1 chunk +60 lines, -0 lines 0 comments Download
M src/cmd/gc/go.h View 1 2 3 4 5 6 2 chunks +2 lines, -0 lines 0 comments Download
M src/cmd/gc/runtime.go View 1 1 chunk +0 lines, -3 lines 0 comments Download
M src/cmd/gc/walk.c View 1 2 3 4 5 6 7 8 9 10 11 12 5 chunks +170 lines, -106 lines 3 comments Download
M src/pkg/runtime/slice.c View 1 1 chunk +0 lines, -143 lines 0 comments Download
M src/pkg/runtime/string.goc View 1 1 chunk +0 lines, -25 lines 0 comments Download

Messages

Total messages: 29
lvd
Hello rsc@golang.org (cc: golang-dev@googlegroups.com), I'd like you to review this change to https://go.googlecode.com/hg/
2 years ago #1
lvd
6g and 8g pass all tests for 5g i need to be able to test ...
2 years ago #2
ality
This is glorious. Over 1000 lines deleted. Do we have any slice heavy benchmarks to ...
2 years ago #3
lvd
On Mon, Apr 16, 2012 at 13:46, Anthony Martin <ality@pbrane.org> wrote: > This is glorious. ...
2 years ago #4
rog
what does the code look like after the linker has done with it? On 16 ...
2 years ago #5
lvd
On Mon, Apr 16, 2012 at 16:30, roger peppe <rogpeppe@gmail.com> wrote: > what does the ...
2 years ago #6
minux
On 2012/04/16 11:33:02, lvd wrote: > 6g and 8g pass all tests > for 5g ...
2 years ago #7
minux
This should fix the test failure (./all.bash passed on the Linux/ARM builder). I need more ...
2 years ago #8
lvd
thank you! i hadn't gotten around to figuring out that missing bit and i didn't ...
2 years ago #9
lvd
On Tue, Apr 17, 2012 at 22:19, Luuk van Dijk <lvd@google.com> wrote: > thank you! ...
2 years ago #10
lvd
On Tue, Apr 17, 2012 at 22:39, Luuk van Dijk <lvd@google.com> wrote: > http://codereview.appspot.com/**5966075/diff/24001/src/cmd/5g/** >>> ...
2 years ago #11
dfc
I hand patched minux's suggested checkref only my 5g system and now all the tests ...
2 years ago #12
lvd
On Wed, Apr 18, 2012 at 02:56, Dave Cheney <dave@cheney.net> wrote: > I hand patched ...
2 years ago #13
lvd
actually i didn't look close enough, there is a regression in test/benchmark/go1, for JSONDecode on ...
2 years ago #14
lvd
actually, on 386 it's terrible too, and even on amd64, there's a 33% slowdown for ...
2 years ago #15
lvd
On Wed, Apr 18, 2012 at 08:29, Luuk van Dijk <lvd@google.com> wrote: > actually, on ...
2 years ago #16
lvd
On Wed, Apr 18, 2012 at 08:42, Luuk van Dijk <lvd@google.com> wrote: > > > ...
2 years ago #17
minux
beside this small typo, I can confirm that the performance regression on ARM is fixed. ...
2 years ago #18
lvd
On 2012/04/19 17:45:34, minux wrote: > beside this small typo, I can confirm that the ...
2 years ago #19
dfc
LGTM. Before, core i5 darwin/amd64 odessa(~/go/test) % time ./run 0 known bugs; 0 unexpected bugs ...
2 years ago #20
rsc
LGTM I'm sorry it took me so long to get to this review. I think ...
1 year, 10 months ago #21
dfc
Woot. On 03/06/2012, at 8:47, rsc@golang.org wrote: > LGTM > > I'm sorry it took ...
1 year, 10 months ago #22
rsc
*** Submitted as http://code.google.com/p/go/source/detail?r=9acc060bf892 *** cmd/gc: inline slice[arr,str] in the frontend (mostly). R=rsc, ality, rogpeppe, ...
1 year, 10 months ago #23
dfc
Sorry, this doesn't compile under 5c cmd/5g /home/dfc/go/src/cmd/5g/gsubr.c:1146:1: error: unknown type name 'bsdvoid' bsdvoid ^ ...
1 year, 10 months ago #24
rsc
On Sat, Jun 2, 2012 at 11:54 PM, Dave Cheney <dave@cheney.net> wrote: > Sorry, this ...
1 year, 10 months ago #25
dfc
Yup. On Sun, Jun 3, 2012 at 1:55 PM, Russ Cox <rsc@golang.org> wrote: > On ...
1 year, 10 months ago #26
rsc
On Sat, Jun 2, 2012 at 11:56 PM, Dave Cheney <dave@cheney.net> wrote: > Yup. submitted ...
1 year, 10 months ago #27
lvd
what a nice surprise to find coming back from holiday. thanks! On Sun, Jun 3, ...
1 year, 10 months ago #28
lvd
1 year, 6 months ago #29
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1278:e6ce13d99bf5